(function( $ ) {

	'use strict';



	/**

	 * All of the code for your admin-facing JavaScript source

	 * should reside in this file.

	 *

	 * Note: It has been assumed you will write jQuery code here, so the

	 * $ function reference has been prepared for usage within the scope

	 * of this function.

	 *

	 * This enables you to define handlers, for when the DOM is ready:

	 *

	 * $(function() {

	 *

	 * });

	 *

	 * When the window is loaded:

	 *

	 * $( window ).load(function() {

	 *

	 * });

	 *

	 * ...and/or other possibilities.

	 *

	 * Ideally, it is not considered best practise to attach more than a

	 * single DOM-ready or window-load handler for a particular page.

	 * Although scripts in the WordPress core, Plugins and Themes may be

	 * practising this, we should strive to set a better example in our own work.

	 */

	jQuery(document).ready(function() {

		var rtw_wi_set = jQuery('#rtwwpge_watermark_img_backgrnd').find('img').attr('src');
		if (rtw_wi_set == '' || rtw_wi_set == 'undefined') {
			jQuery('#rtwwpge_watermark_img_backgrnd').hide();
			$('.rtwwpge_watermark_img_upload').show();
			$('.rtwwpge_watermark_remove_img').hide();
		}
		else {
			jQuery('#rtwwpge_watermark_img_backgrnd').show();
			$('.rtwwpge_watermark_img_upload').hide();
			$('.rtwwpge_watermark_remove_img').show();
		}

        jQuery('.rtwwpge_watermark_img_upload').click(function(){

             var inputField = jQuery(this).parent('div');

             tb_show('watermark', 'media-upload.php?TB_iframe=true');

             window.send_to_editor = function(html)

             {  

            	var url = jQuery(html).find('img').attr('src');

             	if(typeof url == 'undefined')

             		url = jQuery(html).attr('src');	

            	jQuery( '#rtwwpge_watermark_img_url' ).val( url );

				jQuery( '#rtwwpge_watermark_img_backgrnd' ).find( 'img' ).attr( 'src', url );
				
				jQuery('#rtwwpge_watermark_img_backgrnd').show();

				$('.rtwwpge_watermark_img_upload').hide();
				
				jQuery( '.rtwwpge_watermark_remove_img' ).show();

                tb_remove();

             };

             return false;

		});

		jQuery( document ).on( 'click', '.rtwwpge_watermark_remove_img', function() {
			jQuery('#rtwwpge_watermark_img_url').val('');
			jQuery('#rtwwpge_watermark_img').attr('src', '');
			$('.rtwwpge_watermark_img_upload').show();
			jQuery(this).hide();
			jQuery( '#rtwwpge_watermark_img' ).hide();
			return false;
		});

		// for background-color 
		jQuery('.rtwwpge_bck_color').wpColorPicker();

		/* PDF Password Protection */
		jQuery('#rtwwpge_pass_protection').click(function() {
			if(jQuery(this).is(':checked'))
			{
				jQuery('.pp_enaled').show("slow");
			}
			else
			{
				jQuery('.pp_enaled').hide("slow");
			}
		});

		/* Other PDF Security */
		jQuery('#rtwwpge_other_pdf_security').click(function() {
			if(jQuery(this).is(':checked'))
			{
				jQuery('.ops_disabled').show("slow");
			}
			else
			{
				jQuery('.ops_disabled').hide("slow");
			}
		});

		/* Single Product Page Setting */
		jQuery('#rtwwpge_enable_singleprdt').click(function()
		{
			if(jQuery(this).is(':checked')) {
				jQuery('.rtwwpge_template_enabled').show("slow");
			}
			else {
				jQuery('.rtwwpge_template_enabled').hide("slow");
			}
		});
		
		//remove header
		jQuery('#rtwwpge_head_remv').click(function(){

			if(jQuery('#rtwwpge_head_remv').is(':checked'))
			{

				jQuery('#rtwwpge_text_remv_header').hide();

			}
			else {

				jQuery('#rtwwpge_text_remv_header').show();

			}

		});

		//remove footer
		jQuery('#rtwwpge_foot_remv').click(function(){

			if(jQuery('#rtwwpge_foot_remv').is(':checked'))

			{

				jQuery('#rtwwpge_text_remv_footer').hide();

			}

			else

			{

				jQuery('#rtwwpge_text_remv_footer').show();

			}

		});

		//For background image
		var rtw_inp= jQuery( '#rtwwpge_bckgrnd_img' ).find( 'img' ).attr( 'src' );
		if(rtw_inp=='' || rtw_inp == 'undefined' )
		{
			jQuery('#rtwwpge_bckgrnd_img').hide();
			$('.rtwwpge_btn_bckgrnd_img_upload').show();
			$('.rtwwpge_btn_remove_bckgrnd_img').hide();
		}
		else {
			jQuery('#rtwwpge_bckgrnd_img').show();
			$('.rtwwpge_btn_bckgrnd_img_upload').hide();
			$('.rtwwpge_btn_remove_bckgrnd_img').show();
		}

		jQuery('.rtwwpge_btn_bckgrnd_img_upload').on('click',function(){

			var rtw_inp=jQuery('#rtwwpge_bckgrnd_img_btn').val();

			var rtw_inputField = jQuery(this).parent('div');

			tb_show('Background', 'media-upload.php?TB_iframe=true');

			window.send_to_editor = function(html)

			{ 

			var rtw_url = jQuery(html).find('img').attr('src');

			if(typeof rtw_url == 'undefined')

			rtw_url = jQuery(html).attr('src');	

			jQuery( '#rtwwpge_bck_img_url' ).val( rtw_url );

			jQuery( '#rtwwpge_bckgrnd_img' ).find( 'img' ).attr( 'src', rtw_url );

			jQuery('#rtwwpge_bckgrnd_img').show();

			jQuery( '.rtwwpge_btn_remove_bckgrnd_img' ).show();

			jQuery( '.rtwwpge_btn_bckgrnd_img_upload').hide();

			jQuery( '#rtwwpge_bckgrnd_img_btn' ).show();

			tb_remove();

			};

			return false;

		});

		jQuery( document ).on( 'click', '.rtwwpge_btn_remove_bckgrnd_img', function() {
			jQuery('#rtwwpge_bck_img_url').val('');
			jQuery( '#rtwwpge_bckgrnd_img' ).find( 'img' ).attr( 'src', '' );
			jQuery(this).hide();
			jQuery( '#rtwwpge_bckgrnd_img_btn' ).hide();
			jQuery('.rtwwpge_btn_bckgrnd_img_upload').show();
			return false;
		});

		/* Purchase Code Submit Button */
		var required_attr = $('.rtwwpge_purchase_code').attr('required');
		
		$(document).on('click', '#rtwwpge_verify_code', function(){
			var purchase_code_val = $('.rtwwpge_purchase_code').val();
			if (purchase_code_val == '') {
				$('.rtwwpge_purchase_code').focus();
			}
			
			if ( typeof required_attr != "undefined" && $.trim( purchase_code_val ) != '' )
			{
				$('#rtwwpge_pcv_spinner').show();
				var rtwwpge_purchase_code = $(document).find('.rtwwpge_purchase_code').val();

				var data = {	
					action	  		:'rtwwpge_verify_purchase_code',
					purchase_code 	: rtwwpge_purchase_code,
					security_check 	: rtwwpge_obj.rtwwpge_nonce	
				};
				$.blockUI({ message: '', timeout: 1800000 });
				$.ajax({
					url: rtwwpge_obj.ajax_url, 
					type: "POST",  
					data: data,
					dataType: 'json',	
					success: function(response) 
					{
						$('#rtwwpge_pcv_spinner').hide();
						if( response.status)
						{
							// $(document).find('.rtwwpge_notice_success').removeClass('rtwwpge_hide');
							$(document).find('.rtwwpge_msg_response').addClass('rtwwpge_success');
							$(document).find('.rtwwpge_msg_response').html(response.message);
							window.setTimeout(function() {
								window.location.reload(true);
							}, 2000);
						}
						else
						{
							// $(document).find('.rtwwpge_notice_error').removeClass('rtwwpge_hide');
							$(document).find('.rtwwpge_msg_response').addClass('rtwwpge_failed');
							$(document).find('.rtwwpge_msg_response').html(response.message);
						}
						$.unblockUI();
					}
				});
			}
		});

	});

})( jQuery );



function showHideCheck(id,check) 
{
	if(check.checked) 
	{
		jQuery("#"+id).show();

		if(id=='rtwwpge_add_watermark_image')
		{
			var value=jQuery("#doc-add-watermark-image-dimen-select").val();
			var value1=jQuery("#doc-add-watermark-image-pos-select").val();

			if(value=='array')
			{
				jQuery('#rtwwpge_add_watermark_image_dimension').show();
			}

			if(value=='INT')
			{
            	jQuery('#rtwwpge_add_watermark_image_dimen_integer').show();
			}

			if(value1=='arrays')
			{
				jQuery('#rtwwpge_add_watermark_image_pos').show();
			}
		}
	}
	else 
	{
		jQuery("#"+id).hide();

		if(id=='rtwwpge_add_watermark_image')
		{
			jQuery('#rtwwpge_add_watermark_image_dimension').hide();
			jQuery('#rtwwpge_add_watermark_image_dimen_integer').hide();
			jQuery('#rtwwpge_add_watermark_image_pos').hide();
		}
	}
}

function showHideImage()
{
    var value=jQuery("#doc-add-watermark-image-dimen-select").val();

	if(value=='array')
	{
		jQuery('#rtwwpge_add_watermark_image_dimension').show();
		jQuery('#rtwwpge_add_watermark_image_dimen_integer').hide();
	}

	if(value=='INT')
	{
		jQuery('#rtwwpge_add_watermark_image_dimen_integer').show();
		jQuery('#rtwwpge_add_watermark_image_dimension').hide();
	}

	if(value!='INT' && value!='array')
	{
		jQuery('#rtwwpge_add_watermark_image_dimension').hide();
		jQuery('#rtwwpge_add_watermark_image_dimen_integer').hide();
	}
}

function showHidePos()
{
    var value=jQuery("#doc-add-watermark-image-pos-select").val();

	if(value=='arrays')
	{
		jQuery('#rtwwpge_add_watermark_image_pos').show();
	}
	else
	{
		jQuery('#rtwwpge_add_watermark_image_pos').hide();
	}
}