<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       my author uri my
 * @since      1.0.0
 *
 * @package    Rtwwpge_Wordpress_Pdf_Generator_For_Elementor
 * @subpackage Rtwwpge_Wordpress_Pdf_Generator_For_Elementor/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->

<?php

$rtwwpge_purchase_code_details = get_option( 'rtwwpge_verification_done', array() );

if (!empty($rtwwpge_purchase_code_details) && is_array($rtwwpge_purchase_code_details) && isset($rtwwpge_purchase_code_details['status']) && $rtwwpge_purchase_code_details['status'] == true && isset($rtwwpge_purchase_code_details['purchase_code']) && $rtwwpge_purchase_code_details['purchase_code'] != '' )
{
	$rtwwpge_basic_active = '';
	$rtwwpge_header_active = '';
	$rtwwpge_footer_active = '';
	$rtwwpge_css_active = '';
	$rtwwpge_water_active = '';
	$rtwwpge_singleprdt_active = '';
	$rtwwpge_custom_fonts = get_option('rtwwpge_custom_fonts', array());

	if( !class_exists('Mpdf'))
	{
		include(RTWWPGE_DIR ."includes/mpdf/autoload.php");
	}

	$rtwwpge_mpdf = new \Mpdf\Mpdf();
	$rtwwpge_merge_font = array();

	if( !empty( $rtwwpge_custom_fonts ) ) 
	{
		foreach( $rtwwpge_custom_fonts as $key=> $value )
		{
			$rtwwpge_merge_font[$key] = $key;
		}
	}

	foreach ($rtwwpge_mpdf->fontdata as $key=> $value)
	{
		$rtwwpge_mpdf_font[$key] = $key;
	}

	$rtwwpge_fonts = array_merge( $rtwwpge_mpdf_font, $rtwwpge_merge_font );

	if(isset($_GET['rtwwpge_tab']))
	{
		if($_GET['rtwwpge_tab'] == "rtwwpge_basic")
		{
			$rtwwpge_basic_active = "nav-tab-active";
		}
		if($_GET['rtwwpge_tab'] == "rtwwpge_header")
		{
			$rtwwpge_header_active = "nav-tab-active";
		}
		elseif ($_GET['rtwwpge_tab'] == "rtwwpge_footer") 
		{
			$rtwwpge_footer_active = "nav-tab-active";
		}
		elseif ($_GET['rtwwpge_tab'] == "rtwwpge_css") 
		{
			$rtwwpge_css_active = "nav-tab-active";
		}
		elseif ($_GET['rtwwpge_tab'] == "rtwwpge_watermark") 
		{
			$rtwwpge_water_active = "nav-tab-active";
		}
		elseif ($_GET['rtwwpge_tab'] == "rtwwpge_single_product") 
		{
			$rtwwpge_singleprdt_active = "nav-tab-active";
		}
	}
	else
	{
		$rtwwpge_basic_active = "nav-tab-active";
	}

	settings_errors();
	?>

	<div class="wrap rtwwpge">
		<div class="rtwwpge_admin_wrapper">
			<h2 class="rtwwpge-main-heading">
				<img src="<?php echo esc_url( RTWWPGE_URL.'assets/Elementor-Logo.png' ); ?>" alt="logo">
				<span id="rtwwpge_plugin_name"><?php esc_html_e('PDFMentor Pro - WordPress PDF Generator For Elementor','rtwwpge-wordpress-pdf-generator-for-elementor');?></span>
				<button class="rtwwpge_remove_purchase_code">
					<a href="<?php echo esc_url( admin_url( 'admin.php?page=rtwwpge&rtwwpge_action=delete_purchase_code' ) );?>"><?php esc_html_e( 'Remove Purchase Code', 'rtwwpge-wordpress-pdf-generator-for-elementor' ); ?></a>
				</button>
				<span id="rtwwpge_current_version"><?php esc_html_e('ver '.RTWWPGE_WORDPRESS_PDF_GENERATOR_FOR_ELEMENTOR_VERSION,'rtwwpge-wordpress-pdf-generator-for-elementor');?></span>
			</h2>
			<nav class="rtwwpge-navigation-wrapper nav-tab-wrapper">
				<a class="nav-tab <?php echo esc_attr($rtwwpge_basic_active);?>" href="<?php echo home_url();?>/wp-admin/admin.php?page=rtwwpge&rtwwpge_tab=rtwwpge_basic">
					<div class="rtwwpgepdf_tab_icon">
						<img src="<?php echo esc_url( RTWWPGE_URL.'assets/basic.png' ); ?>" alt="">
					</div>
					<?php esc_html_e('Basic','rtwwpge-wordpress-pdf-generator-for-elementor');?>
				</a>
				<a class="nav-tab <?php echo esc_attr($rtwwpge_header_active);?>" href="<?php echo home_url();?>/wp-admin/admin.php?page=rtwwpge&rtwwpge_tab=rtwwpge_header">
					<div class="rtwwpgepdf_tab_icon">
						<img src="<?php echo esc_url( RTWWPGE_URL.'assets/header.png' ); ?>" alt="">
					</div>
					<?php esc_html_e('PDF Header','rtwwpge-wordpress-pdf-generator-for-elementor');?>
				</a>
				<a class="nav-tab <?php echo esc_attr($rtwwpge_footer_active);?>" href="<?php echo home_url();?>/wp-admin/admin.php?page=rtwwpge&rtwwpge_tab=rtwwpge_footer">
					<div class="rtwwpgepdf_tab_icon">
						<img src="<?php echo esc_url( RTWWPGE_URL.'assets/footer.png' ); ?>" alt="">
					</div>
					<?php esc_html_e('PDF Footer','rtwwpge-wordpress-pdf-generator-for-elementor');?>
				</a>
				<a class="nav-tab <?php echo esc_attr($rtwwpge_css_active);?>" href="<?php echo home_url();?>/wp-admin/admin.php?page=rtwwpge&rtwwpge_tab=rtwwpge_css">
					<div class="rtwwpgepdf_tab_icon">
						<img src="<?php echo esc_url( RTWWPGE_URL.'assets/css.png' ); ?>" alt="">
					</div>
					<?php esc_html_e('PDF CSS','rtwwpge-wordpress-pdf-generator-for-elementor');?>
				</a>
				<a class="nav-tab <?php echo esc_attr($rtwwpge_water_active);?>" href="<?php echo home_url();?>/wp-admin/admin.php?page=rtwwpge&rtwwpge_tab=rtwwpge_watermark">
					<div class="rtwwpgepdf_tab_icon">
						<img src="<?php echo esc_url( RTWWPGE_URL.'assets/watermark.png' ); ?>" alt="">
					</div>
					<?php esc_html_e('PDF WaterMark','rtwwpge-wordpress-pdf-generator-for-elementor');?>
				</a>
				<a class="nav-tab <?php echo esc_attr($rtwwpge_singleprdt_active);?>" href="<?php echo home_url();?>/wp-admin/admin.php?page=rtwwpge&rtwwpge_tab=rtwwpge_single_product">
					<div class="rtwwpgepdf_tab_icon">
						<img src="<?php echo esc_url( RTWWPGE_URL.'assets/single_product.png' ); ?>" alt="">
					</div>
					<?php esc_html_e('Single Product PDF','rtwwpge-wordpress-pdf-generator-for-elementor');?>
				</a>
			</nav>
			<p style="color:red; text-align:center; font-style:oblique;"><?php esc_html_e('* All values which you enter like top-margin, font-size etc. are in mm not in px', 'rtwwpge-wordpress-pdf-generator-for-elementor');?></p>
			<form enctype="multipart/form-data" action="options.php" method="post">
				<?php
					if(isset($_GET['rtwwpge_tab']))
					{
						if($_GET['rtwwpge_tab'] == "rtwwpge_basic")
						{
							include_once(RTWWPGE_DIR.'/admin/partials/rtwwpge_tabs/rtwwpge_wpge_basic.php');
						}
						if($_GET['rtwwpge_tab'] == "rtwwpge_header")
						{
							include_once(RTWWPGE_DIR.'/admin/partials/rtwwpge_tabs/rtwwpge_wpge_header.php');
						}
						elseif ($_GET['rtwwpge_tab'] == "rtwwpge_footer") 
						{
							include_once(RTWWPGE_DIR.'/admin/partials/rtwwpge_tabs/rtwwpge_wpge_footer.php');
						}
						elseif ($_GET['rtwwpge_tab'] == "rtwwpge_css") 
						{
							include_once(RTWWPGE_DIR.'/admin/partials/rtwwpge_tabs/rtwwpge_wpge_css.php');
						}
						elseif ($_GET['rtwwpge_tab'] == "rtwwpge_watermark") 
						{
							include_once(RTWWPGE_DIR.'/admin/partials/rtwwpge_tabs/rtwwpge_wpge_watermark.php');
						}
						elseif ($_GET['rtwwpge_tab'] == "rtwwpge_single_product") 
						{
							include_once(RTWWPGE_DIR.'/admin/partials/rtwwpge_tabs/rtwwpge_wpge_singleprdt.php');
						}
					}
					else
					{
						include_once(RTWWPGE_DIR.'/admin/partials/rtwwpge_tabs/rtwwpge_wpge_basic.php');
					}
				?>
				<p class="submit">
					<input type="submit" value="<?php esc_html_e('Save changes','rtwwpge-wordpress-pdf-generator-for-elementor');?>" class="rtwwpge-button" name="rtwwpge_pdf_submit">
				</p>
			</form>
		</div>
	</div>
	<?php
}
else {
	include_once(RTWWPGE_DIR.'/admin/partials/rtwwpge_html/rtwwpge_purchase_code_verification.php');
}