(function( $ ) {

	'use strict';

	/**
	* All of the code for your public-facing JavaScript source
	* should reside in this file.
	*
	* Note: It has been assumed you will write jQuery code here, so the
	* $ function reference has been prepared for usage within the scope
	* of this function.
	*
	* This enables you to define handlers, for when the DOM is ready:
	*
	* $(function() {
	*
	* });
	*
	* When the window is loaded:
	*
	* $( window ).load(function() {
	*
	* });
	*
	* ...and/or other possibilities.
	*
	* Ideally, it is not considered best practise to attach more than a
	* single DOM-ready or window-load handler for a particular page.
	* Although scripts in the WordPress core, Plugins and Themes may be
	* practising this, we should strive to set a better example in our own work.
	*/

	$(document).ready( function()
	{
		$('.rtwwpge_pdf_button').on( 'click', function() {

			$('.rtwwpge_pdf_gif').show();
			var rtwwpge_post_id = $(this).data('post_id');
			var rtwwpge_post_url = $(this).data('post_url');
			var rtwwpge_pdf_cache = $(this).data('pdf_cache');
			var rtwwpge_pdf_class = $(this).data("pdf_class");
			var rtwwpge_pdf_id = $(this).data("pdf_id");

			var rtwwpge_elementor_id = '';
			var rtwwpge_elementor_type = $(document).find("div[data-elementor-type='single-post']");

			if (rtwwpge_elementor_type.length != 1) {
				rtwwpge_elementor_type = $(document).find("div[data-elementor-type='wp-page']");

				if (rtwwpge_elementor_type.length != 1) {
					rtwwpge_elementor_id = rtwwpge_post_id;
				}
				else {
					rtwwpge_elementor_id = rtwwpge_elementor_type.data('elementor-id');
				}
			}
			else {
				rtwwpge_elementor_id = rtwwpge_elementor_type.data('elementor-id');
			}
			$(this).attr("data_elementor_id", rtwwpge_elementor_id);

			$.post(
				rtwwpge_post_url,
				{
					'rtwwpge_id': rtwwpge_post_id,
					'rtwwpge_pdf_cache': rtwwpge_pdf_cache,
					'rtwwpge_pdf_class': rtwwpge_pdf_class,
					'rtwwpge_pdf_id': rtwwpge_pdf_id,
					'rtwwpge_elementor_id': rtwwpge_elementor_id
				},
				function(response)
				{
					$('.rtwwpge_pdf_gif').hide();
					if( response.status == true )
					{
						window.location.href = response.rtwwpge_pdf_url
					}
					else
					{
						alert(rtwwpge_obj.some_thing_msg);
					}
				},'json'
			);
		});
	});

})( jQuery );

